/* ---------------------------------------------------------------------
     Implementation of C++ wrapper for LAPACK DPOSV & DPOTRI
             Copyright (c) 2003-2012  by A. Miyoshi, Univ. Tokyo
                         created: Feb.   7, 2003 (cwrap_lapack)
                     last edited: Mar.  11, 2012
--------------------------------------------------------------------- */

#include "wcpp_dposv.h"

#if defined (_WIN32) && ! defined (__MINGW32__)
#define ENT_DPOSV DPOSV
#define ENT_DPOTRI DPOTRI
#else
#define ENT_DPOSV dposv_
#define ENT_DPOTRI dpotri_
#endif

extern "C" {
  void ENT_DPOSV(char &uplo, int &n, int &nrhs, double **a, int &lda,
   double **b, int &ldb, int &info);
  void ENT_DPOTRI(char &uplo, int &n, double **a, int &lda, int &info);
}

int lapack_dposv(char uplo, int n, int nrhs, double **a, int lda,
 double **b, int ldb) {
  int info;
  ENT_DPOSV(uplo, n, nrhs, a, lda, b, ldb, info);
  return info;
}

int lapack_dpotri(char uplo, int n, double **a, int lda) {
  int info;
  ENT_DPOTRI(uplo, n, a, lda, info);
  return info;
}

